<?php
add_action( 'widgets_init', 'ci_widgets_init' );
if ( ! function_exists( 'ci_widgets_init' ) ):
	function ci_widgets_init() {

	register_sidebar( array(
		'name'          => __( 'Blog Sidebar', 'ci_theme' ),
		'id'            => 'blog-sidebar',
		'description'   => __( 'The list of widgets assigned here will appear in your blog and posts pages.', 'ci_theme' ),
		'before_widget' => '<aside id="%1$s" class="widget %2$s group">',
		'after_widget'  => '</aside>',
		'before_title'  => '<h3 class="widget-title">',
		'after_title'   => '</h3>',
	) );

	register_sidebar( array(
		'name'          => __( 'Portfolio Sidebar', 'ci_theme' ),
		'id'            => 'main-sidebar',
		'description'   => __( 'This is your main sidebar across the website, everywhere but the blog.', 'ci_theme' ),
		'before_widget' => '<aside id="%1$s" class="widget %2$s group">',
		'after_widget'  => '</aside>',
		'before_title'  => '<h3 class="widget-title">',
		'after_title'   => '</h3>',
	) );

	register_sidebar( array(
		'name'          => __( 'Footer Widgets #1', 'ci_theme' ),
		'id'            => 'footer-widgets-left',
		'description'   => __( 'The widgets assigned here will appear in the left side of the footer.', 'ci_theme' ),
		'before_widget' => '<aside id="%1$s" class="widget %2$s group">',
		'after_widget'  => '</aside>',
		'before_title'  => '<h3 class="widget-title">',
		'after_title'   => '</h3>',
	) );

	register_sidebar( array(
		'name'          => __( 'Footer Widgets #2', 'ci_theme' ),
		'id'            => 'footer-widgets',
		'description'   => __( 'The widgets assigned here will appear in the center of the footer.', 'ci_theme' ),
		'before_widget' => '<aside id="%1$s" class="widget %2$s group">',
		'after_widget'  => '</aside>',
		'before_title'  => '<h3 class="widget-title">',
		'after_title'   => '</h3>',
	) );

	register_sidebar( array(
		'name'          => __( 'Footer Widgets #3', 'ci_theme' ),
		'id'            => 'footer-widgets-right',
		'description'   => __( 'The widgets assigned here will appear in the right side of the footer.', 'ci_theme' ),
		'before_widget' => '<aside id="%1$s" class="widget %2$s group">',
		'after_widget'  => '</aside>',
		'before_title'  => '<h3 class="widget-title">',
		'after_title'   => '</h3>',
	) );

}
endif;
?>